Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Support libraries needed by Syslog-ng.
Name:      	libol
Version:   	0.3.16
Release:   	1
Provides:	libol
License: 	GNU/GPL
URL:		NONE
Group:     	System/Libraries
Source0: 	libol-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
autoreqprov: no

%description
Support libraries needed by Syslog-ng.

%package devel
Summary: 	libol development headers.
Group:     	System/Libraries
Requires: 	libol = %{version}

%description devel
Header and include files for developing applications with libol.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n libol-%{version}

%build
./configure --prefix=%_prefix --disable-debug --without-scsh --disable-scsh
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
%exclude %_includedir/*
%exclude %_libdir/*.a
%exclude %_libdir/*.la

%files devel
%defattr(-,root,root)
%_includedir/*
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri May 27 2005 Christian Metzen <metzench@ccux-linux.de> 0.3.16-1
- Version update to 0.3.16
* Thu Mar 30 2005 Christian Metzen <metzench@ccux-linux.de> 0.3.15-1
- Initial Release